be.ehealth.technicalconnector.utils

## Class IdentifierType

- java.lang.Object
- - be.ehealth.technicalconnector.utils.IdentifierType

- All Implemented Interfaces:
    Serializable

      public final class IdentifierType
      extends Object
      implements Serializable

  This class contains all the currently known identifiertype of the eHealth-platform.

  It provides a mapping between the different services (ETKdepot, EHBOX and recipe)

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IdentifierType` | `CBE`
    `static IdentifierType` | `CBE_CONSORTIUM`
    `static IdentifierType` | `CBE_TREATCENTER`
    `static int` | `EHBOX` Identifier used in EHBOX
    `static IdentifierType` | `EHP`
    `static IdentifierType` | `EHP_CTRL_ORGANISM`
    `static int` | `ETKDEPOT` Identifier used in ETKDEPOT
    `static IdentifierType` | `HUB` Deprecated. replaced by `IdentifierType`.EHP
    `static IdentifierType` | `NIHII`
    `static IdentifierType` | `NIHII_AMBU_SERVICE`
    `static IdentifierType` | `NIHII_BELRAI`
    `static IdentifierType` | `NIHII_BELRAI_SCREEN`
    `static IdentifierType` | `NIHII_GROUP_DOCTORS`
    `static IdentifierType` | `NIHII_GROUP_MIDWIVES`
    `static IdentifierType` | `NIHII_GROUPOFNURSES`
    `static IdentifierType` | `NIHII_GUARD_POST`
    `static IdentifierType` | `NIHII_HOME_SERVICES`
    `static IdentifierType` | `NIHII_HOSPITAL`
    `static IdentifierType` | `NIHII_LABO`
    `static IdentifierType` | `NIHII_LEGAL_PSY`
    `static IdentifierType` | `NIHII_MEDICAL_HOUSE`
    `static IdentifierType` | `NIHII_OF_BAND`
    `static IdentifierType` | `NIHII_OF_PHYSIOS`
    `static IdentifierType` | `NIHII_OFFICE_DENTISTS`
    `static IdentifierType` | `NIHII_OFFICE_DOCTORS`
    `static IdentifierType` | `NIHII_OTD_PHARMACY`
    `static IdentifierType` | `NIHII_PALLIATIVE_CARE`
    `static IdentifierType` | `NIHII_PHARMACY`
    `static IdentifierType` | `NIHII_PROT_ACC`
    `static IdentifierType` | `NIHII_PSYCH_HOUSE`
    `static IdentifierType` | `NIHII_REEDUCATION`
    `static IdentifierType` | `NIHII_RETIREMENT`
    `static IdentifierType` | `NIHII_SORTING_CENTER`
    `static IdentifierType` | `NIHII11`
    `static IdentifierType` | `SITE`
    `static IdentifierType` | `SITEPIT`
    `static IdentifierType` | `SITESMUR`
    `static IdentifierType` | `SSIN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `formatIdentifierValue(long identifierValue)` Converts the given long id to a stringid with leading 0s.
    `String` | `formatIdentifierValue(String value)` Converts the given id to a stringid with leading 0s.
    `static IdentifierType` | `getInstance(Map<Integer,String> mapping, int expectedLength)` Instanciate a new instance of IdentifierType if it is not found in the cache.
    `String` | `getSubType(int source)`
    `String` | `getType(int source)`
    `static IdentifierType` | `lookup(String type, String subType, int source)` Lookup the IdentiferType based on the type and subType for a given source.
    `String` | `name()`
    `static IdentifierType` | `valueOf(String key)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CBE

          public static final IdentifierType CBE

    - #### CBE_TREATCENTER

          public static final IdentifierType CBE_TREATCENTER

    - #### SSIN

          public static final IdentifierType SSIN

    - #### NIHII

          public static final IdentifierType NIHII

    - #### NIHII11

          public static final IdentifierType NIHII11

    - #### NIHII_PHARMACY

          public static final IdentifierType NIHII_PHARMACY

    - #### NIHII_LABO

          public static final IdentifierType NIHII_LABO

    - #### NIHII_RETIREMENT

          public static final IdentifierType NIHII_RETIREMENT

    - #### NIHII_OTD_PHARMACY

          public static final IdentifierType NIHII_OTD_PHARMACY

    - #### NIHII_HOSPITAL

          public static final IdentifierType NIHII_HOSPITAL

    - #### NIHII_GROUPOFNURSES

          public static final IdentifierType NIHII_GROUPOFNURSES

    - #### EHP

          public static final IdentifierType EHP

    - #### NIHII_PALLIATIVE_CARE

          public static final IdentifierType NIHII_PALLIATIVE_CARE

    - #### NIHII_OFFICE_DENTISTS

          public static final IdentifierType NIHII_OFFICE_DENTISTS

    - #### NIHII_MEDICAL_HOUSE

          public static final IdentifierType NIHII_MEDICAL_HOUSE

    - #### NIHII_OFFICE_DOCTORS

          public static final IdentifierType NIHII_OFFICE_DOCTORS

    - #### NIHII_GROUP_DOCTORS

          public static final IdentifierType NIHII_GROUP_DOCTORS

    - #### NIHII_OF_BAND

          public static final IdentifierType NIHII_OF_BAND

    - #### NIHII_PSYCH_HOUSE

          public static final IdentifierType NIHII_PSYCH_HOUSE

    - #### NIHII_PROT_ACC

          public static final IdentifierType NIHII_PROT_ACC

    - #### NIHII_HOME_SERVICES

          public static final IdentifierType NIHII_HOME_SERVICES

    - #### NIHII_OF_PHYSIOS

          public static final IdentifierType NIHII_OF_PHYSIOS

    - #### SITE

          public static final IdentifierType SITE

    - #### SITESMUR

          public static final IdentifierType SITESMUR

    - #### SITEPIT

          public static final IdentifierType SITEPIT

    - #### CBE_CONSORTIUM

          public static final IdentifierType CBE_CONSORTIUM

    - #### NIHII_GUARD_POST

          public static final IdentifierType NIHII_GUARD_POST

    - #### EHP_CTRL_ORGANISM

          public static final IdentifierType EHP_CTRL_ORGANISM

    - #### NIHII_BELRAI

          public static final IdentifierType NIHII_BELRAI

    - #### NIHII_BELRAI_SCREEN

          public static final IdentifierType NIHII_BELRAI_SCREEN

    - #### NIHII_GROUP_MIDWIVES

          public static final IdentifierType NIHII_GROUP_MIDWIVES

    - #### NIHII_AMBU_SERVICE

          public static final IdentifierType NIHII_AMBU_SERVICE

    - #### NIHII_LEGAL_PSY

          public static final IdentifierType NIHII_LEGAL_PSY

    - #### NIHII_REEDUCATION

          public static final IdentifierType NIHII_REEDUCATION

    - #### NIHII_SORTING_CENTER

          public static final IdentifierType NIHII_SORTING_CENTER

    - #### HUB

          @Deprecated
          public static final IdentifierType HUB

      Deprecated. replaced by `IdentifierType`.EHP

    - #### ETKDEPOT

          public static final int ETKDEPOT

      Identifier used in ETKDEPOT
      See Also:
        Constant Field Values

    - #### EHBOX

          public static final int EHBOX

      Identifier used in EHBOX
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static IdentifierType getInstance(Map<Integer,String> mapping,
                                                   int expectedLength)
                                            throws TechnicalConnectorException

      Instanciate a new instance of IdentifierType if it is not found in the cache. The Map must contains for every supported service a mapping. (`ETKDEPOT` and `EHBOX`)

      If the mapping contains any errors a `TechnicalConnectorException` is throws with identifiertype.invalid.mapping as errorCode.

      Parameters:
        `mapping` - Mapping
        `expectedLength` - expected lenght of the id (adding leading 0's when converting long id to String id)
      Returns:
        the IdentfierType
      Throws:
        `TechnicalConnectorException`

    - #### lookup

          public static IdentifierType lookup(String type,
                                              String subType,
                                              int source)

      Lookup the IdentiferType based on the type and subType for a given source.
      Parameters:
        `type` -
        `subType` -
        `source` -
      Returns:
        the identifier type

    - #### valueOf

          public static IdentifierType valueOf(String key)

    - #### formatIdentifierValue

          public String formatIdentifierValue(long identifierValue)

      Converts the given long id to a stringid with leading 0s.
      Parameters:
        `identifierValue` -
      Returns:
        the formatted value

    - #### formatIdentifierValue

          public String formatIdentifierValue(String value)

      Converts the given id to a stringid with leading 0s.
      Parameters:
        `value` -
      Returns:
        the formatted value

    - #### getType

          public String getType(int source)

      Parameters:
        `source` -
      Returns:
        type

    - #### getSubType

          public String getSubType(int source)

      Parameters:
        `source` -
      Returns:
        subType

    - #### name

          public String name()

Connector Packaging PHYSIOTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.